package cz.jzitnik.chronos.controllers;

import cz.jzitnik.chronos.payload.responses.UnifiedResponse;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@CrossOrigin(origins = "*", maxAge = 3600)
@RestController
@RequestMapping("/status")
public class StatusController {
    @GetMapping
    public UnifiedResponse<String, Error> getStatus() {
        return UnifiedResponse.success("working");
    }
}
