package cz.jzitnik.chronos.entities;

import cz.jzitnik.chronos.payload.errors.ItemNotUsableException;

public enum ItemType {
    KEY_FRAGMENT,
    LUCK_POTION;

    public void useItem(Player player) throws ItemNotUsableException {
        switch (this) {
            case LUCK_POTION -> {
                player.setLuck(true);
            }
            default -> throw new ItemNotUsableException("Item " + this + " is not usable");
        }
    }
}
