package cz.jzitnik.chronos.repository;

import cz.jzitnik.chronos.entities.Game;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.Optional;

@Repository
public interface GameRepository extends JpaRepository<Game, Long> {
    boolean existsByGameKey(String gameKey);
    Optional<Game> findByGameKey(String gameKey);
}