package cz.jzitnik.api.responses;

import lombok.Getter;

import java.util.Optional;

@Getter
public class UnifiedResponse<T, U> {
    private Optional<T> data;
    private Optional<U> error;
    private Boolean success;

    public void setData(T data) {
        this.data = Optional.ofNullable(data);
    }

    public void setError(U error) {
        this.error = Optional.ofNullable(error);
    }
}
