package cz.jzitnik.api.types;

import java.util.HashSet;
import java.util.Set;

public enum ItemType {
    KEY_FRAGMENT,
    LUCK_POTION;

    private static final Set<ItemType> usableItems = new HashSet<>();

    static {
        usableItems.add(ItemType.LUCK_POTION);
    }

    public boolean isUsable() {
        return usableItems.contains(this);
    }

    @Override
    public String toString() {
        return switch (this) {
            case LUCK_POTION -> "Lektvar štěstí";
            case KEY_FRAGMENT -> "Fragment klíče";
        };
    }
}
