package cz.jzitnik.utils;

public class ConfigPathProvider {
    public static String getPath() {
        String configDir;
        String os = System.getProperty("os.name").toLowerCase();
        if (os.contains("win")) {
            configDir = System.getenv("APPDATA") + "\\Chronos";
        } else if (os.contains("nix") || os.contains("nux")) {
            configDir = System.getProperty("user.home") + "/.config/Chronos";
        } else if (os.contains("mac")) {
            configDir = System.getProperty("user.home") + "/Library/Application Support/Chronos";
        } else {
            configDir = System.getProperty("user.home") + "/Chronos";
        }

        return configDir;
    }
}
