package cz.jzitnik.chronos.repository;

import cz.jzitnik.chronos.entities.Player;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.Optional;

@Repository
public interface PlayerRepository extends JpaRepository<Player, Long> {
    boolean existsByPlayerKey(String playerKey);
    Optional<Player> findByPlayerKey(String playerKey);
}
