package cz.jzitnik.api.types;

import cz.jzitnik.utils.Cli;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
public class Player {
    private Long id;

    private String name;

    private List<Item> inventory;

    private Room currentRoom;

    private boolean luck;

    @Override
    public String toString() {
        String sb = "Hráč: " +
                Cli.Colors.BLUE +
                name +
                Cli.Colors.RESET +
                "\n\n" +
                "Vlastnosti:\n" +
                "Id: " +
                id +
                "\n" +
                "Štěstí: " +
                (luck ? Cli.Colors.GREEN : Cli.Colors.RED) +
                (luck ? "Ano" : "Ne") +
                Cli.Colors.RESET +
                "\n" +
                "Místnost: " +
                Cli.Colors.BLUE +
                currentRoom +
                Cli.Colors.RESET;

        return sb;
    }
}
